package teste;

public class AuxFunctions {

    public AuxFunctions() {
    }

    /*@ behavior
       @    requires x > 0 && y > 0;
       @    ensures sum == x + y;
       @*/
    public int sum(int x, int y) {
        int sum = 0;
        sum = x + y;
	return sum;
    }


    /*@ behavior
       @    requires x > 0 && y > 0;
       @   ensures sum == x + y;
       @*/
    public float sum(float x, float y) {
        float sum = 0;
        sum = x + y;
	return sum;
    }

    /*@ behavior
       @    requires x > 0 && y > 0;
       @    ensures (res > 0)? y : x;
       @*/
    public int min(int x, int y) {
        int res;
        res=x-y;
        return ((res > 0)? y : x);
    }


   /*@ behavior
       @    requires x > 0 && y > 0;
       @    ensures (res > 0)? x : y);
       @*/
    public int max(int x, int y) {
        int res;
        res=x-y;
        return ((res > 0)? x : y);
    }
}
